import request from "@/utils/request";

// 拆箱
export function createSplit(data) {
    return request({
        url: "/rtkwms/re-box-detail/createSplit",
        method: "post",
        params: data,
    });
}
// 重新拆箱
export function reCreateBox(data) {
    return request({
        url: "/rtkwms/re-box-detail/reCreate",
        method: "post",
        data: data,
    });
}

// 获得MES 成品拆箱后待装箱内容分页
export function getReBoxDetailPage(query) {
    return request({
        url: "/rtkwms/re-box-detail/splitPage",
        method: "get",
        params: query,
    });
}
// 扫描成品SN获取重装箱信息
export function getReBoxDetail(query) {
    return request({
        url: "/rtkwms/re-box-detail/getReBoxDetail",
        method: "get",
        params: query,
    });
}
// 根据箱号获取打印信息
export function getPrintData(query) {
    return request({
        url: "/rtkwms/re-box-detail/getPrintData",
        method: "get",
        params: query,
    });
}
// 箱号成品对应关系
export function getSnOrBoxNoPage(query) {
    return request({
        url: "/rtkwms/finish-goods-box-detail/getSnOrBoxNoPage",
        method: "get",
        params: query,
    });
}

// 导出MES 成品拆箱后待装箱内容 Excel
export function exportReBoxDetailExcel(query) {
    return request({
        url: "/rtkwms/re-box-detail/export-excel",
        method: "get",
        params: query,
        responseType: "blob",
    });
}